MKTIME(3)

NAME
mktime - convert time to arithmetic representation

SYNOPSIS

#include <time.h>

time_t mktime(struct tm *timp);

DESCRIPTION

mktime assumes the time at timp is a local time, and converts its representation from the traditional representation defined by struct tm into a representation suitable for arithmetic.

localtime is the inverse of mktime.

RETURNS

If the contents of the structure at timp do not form a valid calendar time representation, the result is -1. Otherwise, the result is the time, converted to a time_t value.

PORTABILITY

ANSI C requires mktime.

mktime requires no supporting OS subroutines.